﻿@model Tuple<ARGNSTechPackView, List<string>>
@{
    ViewBag.Title = "_Activity";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var fromPage = '@ViewBag.FromPage';
</script>

@Scripts.Render("~/bundles/FileInput")

<h1 class="page-header">@ViewBag.Tite</h1>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <i class="icon-calendar"></i>
                <h3 class="panel-title">@PDM.TechPack</h3>
            </div>
            <div class="panel-body">
                <div class="col-md-4">
                    <label class="col-md-4 ">@PDM.Style</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Item1.ModelCode, new { @Id = "ModelCode", @Name = "ModelCode", @placeholder = PDM.ModelCode, @class = "form-control", @disabled = "disabled" })
                    </div>
                </div>
                <div class="col-md-5">
                    <label class="col-md-4">@PDM.Desc</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Item1.ModelDesc, new { @Id = "ModelDesc", @Name = "ModelDesc", @placeholder = PDM.ModelDesc, @class = "form-control", @disabled = "disabled" })
                    </div>
                </div>
                <div class="col-md-3">
                    <label class="col-md-4">@PDM.Type</label>
                    <div class="col-md-8">
                        <select class="form-control input-sm">
                            <option value="0">Manual</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@PDM.Sections</h3>
    </div>
    <div class="panel-body" id="RowContainer">
        @foreach (ARGNSTechPackLineView mLine in Model.Item1.Lines)
        {
            @Html.Partial("_RowSection", Tuple.Create(mLine,Model.Item1.Sections));
        }
    </div>
    <button type="button" onclick="AddRow();" class="btn btn-lg btn-success" style="margin: 15px !important;"><i class="fa fa-plus-circle"></i> @PDM.Add @PDM.Section</button>
</div>

<div class="alert alert-success" id="UpdateCorrectly" role="alert">
    <strong>@PDM.TTPWUC</strong>
</div>

<div class="row">
    <div class="col-md-6 col-sm-6  ">
        @{
            string mFromPage = ViewBag.FromPage;
            switch (mFromPage)
            {
                case "Activities":
                    @Html.ActionLink(@Activity.Cancel, "Index", "Activity", null, new { @class = "btn btn-lg btn-default" })
                    break;
                case "MyActivities":
                    @Html.ActionLink(@Activity.Cancel, "IndexMyActivity", "Activity", null, new { @class = "btn btn-lg btn-default" })
                    break;
            }
        }
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        @if (ViewBag.FormMode == "Add" || ViewBag.FormMode == "Update")
        {
            <button id="btnOK" type="button" class="btn btn-lg btn-success"><span class="glyphicon glyphicon-ok"></span>Save</button>
        }
        @*<a class="btn btn-lg btn-default" href="/PLM/Activity"><span class="glyphicon glyphicon-trash"></span>Cancel</a>*@
        <a class="btn btn-lg btn-default" target="_blank" href="@Href("~/CrystalReports/CrystalReportWeb.aspx?path=Techpack_N.rpt&prod_code=" + Model.Item1.Code)">@PDM.VT</a>
        @if (Model.Item2 != null && Model.Item2.Count > 0 )
        {
            @Html.Partial("_CRButton", Tuple.Create((object)Model.Item1, Model.Item2));
        }
    </div>
</div>

<input type="hidden" name="PageKey" id="PageKey" value="@ViewBag.PageKey" />
<input type="hidden" name="Code" id="Code" value="@Model.Item1.Code" />
@Scripts.Render("~/bundles/TechPack")


